Bug 499385 - MD5 sum mismatch when unpacking source rpm on RH 5
MD5 sum mismatch when unpacking source rpm on RH 5
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gdal (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Balint Cristian
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 09:39 EDT by Peter Hopfgartner
Modified: 2011-03-24 23:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 12:45:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Hopfgartner 2009-05-06 09:39:19 EDT
I've downloaded the source package gdal-1.6.0-8.fc11.src.rpm from a number of mirrors.

When I try to install it on a red Hat 5.3, x86_64,  server (and the same happens on CentOS 5.3) I get the following message:

[rpmbuild@plantmap ~]$ rpm -i gdal-1.6.0-8.fc11.src.rpm
warning: gdal-1.6.0-8.fc11.src.rpm: Header V3 RSA/SHA256 signature: NOKEY, key ID d22e77f2
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
error: unpacking of archive failed on file /home/rpmbuild/rpmbuild/SOURCES/gdal-1.6.0-fedora.tar.gz;4a0190fb: cpio: MD5 sum mismatch

The package will will not be installed, except when --nomd5 is given.
Comment 1 Jeremy Katz 2009-05-06 12:45:22 EDT
Fedora 11 is switching to sha256 checksums instead of md5.  RHEL5's rpm does not understand these and thus can't unpack Fedora 11 packages.  You can, though, use rpm2cpio if you want (rpm2cpio foo.rpm |cpio -id)
Comment 2 lindahl 2010-02-05 14:24:54 EST
This makes it very inconvenient to download and rebuild fedora rpms on rhel.
Comment 3 Sergio Monteiro Basto 2011-03-24 23:06:21 EDT
see bug #490613

Note You need to log in before you can comment on or make changes to this bug.